Bug 225755 - Merge Review: firefox
Merge Review: firefox
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
: Reopened
Depends On: 521704
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:37 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:37:30 EST
Fedora Merge Review: firefox

http://cvs.fedora.redhat.com/viewcvs/devel/firefox/
Initial Owner: caillon@redhat.com
Comment 1 Orcan Ogetbil 2013-10-18 00:31:58 EDT
I assume this was closed by accident as I don't see any package review here. If not, please provide a reason for closing.
Comment 2 Martin Stransky 2013-10-18 06:59:16 EDT
What is a reason for this bug? More accurately, what do you expect? From some specific reasons Firefox does not comply to all Fedora packaging guidelines (like embeded libraries) so technically it can't get package review...
Comment 3 Martin Stransky 2013-10-18 07:01:54 EDT
Anyway, rpmlint seems to be quite happy:

$rpmlint firefox.spec 
firefox.spec:104: W: unversioned-explicit-provides webclient
firefox.spec: W: invalid-url Source1: firefox-langpacks-24.0-20130913.tar.xz
Comment 4 Orcan Ogetbil 2013-10-18 08:14:26 EDT
Hi Martin,
About Merge Reviews, please see
   https://fedoraproject.org/wiki/Merge_Reviews

These have to be treated (almost) like regular package reviews. There are still ~50-60 outstanding Merge Reviews
   https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW%2CNEEDINFO%2CMODIFIED&component=Package%20Review&field0-0-0=flagtypes.name&list_id=1819664&order=bugs.bug_id%20desc&product=Fedora&query_format=advanced&type0-0-0=notsubstring&value0-0-0=fedora-review

rpmlint output for the SPEC file is only one of the many things to check during a package review. Please wait for (or search for) a reviewer before closing this bug. Thanks.
Comment 5 Cole Robinson 2015-02-11 15:36:26 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 6 Jan Kurik 2015-07-15 11:26:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Christian Stadelmann 2015-07-26 15:15:51 EDT
Hasn't this been fixed for a long time?
Comment 8 Martin Stransky 2015-07-27 03:52:10 EDT
(In reply to Christian Stadelmann from comment #7)
> Hasn't this been fixed for a long time?

No. Feel free to take it and attach a patch here. Even a particular one can help. Thanks!
Comment 9 Christian Stadelmann 2015-07-29 14:12:59 EDT
I should have read comment #4 before posting. Sorry for the noise.
Comment 10 Fedora End Of Life 2016-11-24 05:18:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 06:56:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.